Installing ActivePerl 5.6.1 on Vista

Posted by roadan on 2007-10-06 05:11

I'm trying to install ActivePerl 5.6.1 build 365 that was supplied by Nokia’s Carbide c++ and receive: Internal Error 2739 I have tried both running the msi from windows as well as running msiexec.exe /i ActivePerl-5.6.1.635-MSWin32-x86.msi from the run window as described in another thread in this from and still the same result.
Any ideas how to fix this?

Thanks in advance

jeffh
ActiveState Staff
Sat, 2007-10-06 12:41

That is an old version of ActivePerl that predates Vista's release. Please see this faq entry for ActivePerl on Vista:

http://community.activestate.com/faq/what-is-the-best-version-0

grahams
ActiveState Staff
Tue, 2007-10-09 15:49

Jeffh is correct about ActivePerl 5.6.1. I thought I would add some detail on your error message, as you may very well see Internal Error 2739 even with the latest version of ActivePerl.

Internal Error 2739 is an installation problem that is not unique to ActivePerl. It commonly affects Adobe products and IBM Rational Rose.
Solutions from those two products' user communities are available here:

http://www.mydigitallife.info/2007/07/25/internal-error-2739-error-in-vi...

and here:

http://www-1.ibm.com/support/docview.wss?ratlid=3Dcctocbody&rs=3D984&uid...